package com.its.op.xnetudp.service;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class CenterCommResponseService {
/*
    public int response(voDsrcCtlr obj, voDsrcCtlrCntl ctlrCntl, byte result) {
        int rspsType = (int)result;
        ctlrCntl.setRSPS_TYPE(String.valueOf(rspsType));

        // 제어명령 데이터베이스 저장
        DbmsJobProcess dbmsJobProcess = (DbmsJobProcess) AppUtils.getBean(DbmsJobProcess.class);
        dbmsJobProcess.add(new DbmsJobData(DbmsJobType.DATA_TYPE_CNTL_LOG, false, (Object)ctlrCntl));

        // 제어명령 운영단말 응답
        CENTER_DSRC_RES_CONTROL res = new CENTER_DSRC_RES_CONTROL(ctlrCntl.getReq().getMsgSeq());
        res.setMsgSeq(ctlrCntl.getReq().getMsgSeq());
        res.setCtlrNmbr(Integer.valueOf(ctlrCntl.getReq().getCtlrNmbr()).intValue());
        res.setReqSeq(ctlrCntl.getReq().getReqSeq());
        res.setResCode(result);
        CenterCommClientSender response = (CenterCommClientSender) AppUtils.getBean(CenterCommClientSender.class);
        response.run(ctlrCntl.getReqIpAddress(), ctlrCntl.getReqPort(), res.getBuffer());

        return 0;
    }*/
}
